%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  o2plsda
%global packver   0.0.25
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.0.25
Release:          1%{?dist}%{?buildtag}
Summary:          Multiomics Data Integration

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-Rcpp >= 1.0.7
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-magrittr 
BuildRequires:    R-parallel 
BuildRequires:    R-CRAN-ggplot2 
BuildRequires:    R-CRAN-ggrepel 
BuildRequires:    R-methods 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-RcppArmadillo 
Requires:         R-CRAN-Rcpp >= 1.0.7
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-magrittr 
Requires:         R-parallel 
Requires:         R-CRAN-ggplot2 
Requires:         R-CRAN-ggrepel 
Requires:         R-methods 
Requires:         R-stats 

%description
Provides functions to do 'O2PLS-DA' analysis for multiple omics data
integration. The algorithm came from "O2-PLS, a two-block (X±Y) latent
variable regression (LVR) method with an integral OSC filter" which
published by Johan Trygg and Svante Wold at 2003 <doi:10.1002/cem.775>.
'O2PLS' is a bidirectional multivariate regression method that aims to
separate the covariance between two data sets (it was recently extended to
multiple data sets) (Löfstedt and Trygg, 2011 <doi:10.1002/cem.1388>;
Löfstedt et al., 2012 <doi:10.1016/j.aca.2013.06.026>) from the systematic
sources of variance being specific for each data set separately.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
